# com.google.android.exoplayer2.video

## Interfaces

- VideoDecoderOutputBufferRenderer
- VideoFrameMetadataListener
- VideoListener
- VideoRendererEventListener

## Classes

- AvcConfig
- ColorInfo
- DecoderVideoRenderer
- DolbyVisionConfig
- DummySurface
- HevcConfig
- MediaCodecVideoRenderer
- MediaCodecVideoRenderer.CodecMaxValues
- VideoDecoderGLSurfaceView
- VideoDecoderInputBuffer
- VideoDecoderOutputBuffer
- VideoFrameReleaseHelper
- VideoRendererEventListener.EventDispatcher

## Exceptions

- MediaCodecVideoDecoderException